<?php
if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_1_2_7($object) // NOSONAR
{
    Db::getInstance()->execute('
        ALTER TABLE '._DB_PREFIX_.'chilexpress_oficial_ordermeta'.
        ' ADD COLUMN IF NOT EXISTS certificateNumber varchar(128) NOT NULL AFTER transportOrderNumber;
    ');

    $coberturas = $object->preloadRegionsCommunes();

    return
        $object->installTab() && 
        $object->installCarriers() && 
        $object->changeFormatAddress() && 
        $object->registerHook('displayCarrierExtraContent') && 
        Configuration::updateValue(CXP_REGIONES_HABILITADAS, $coberturas['regiones_habilitadas']) && 
        Configuration::updateValue(CXP_COMUNAS_HABILITADAS, $coberturas['comunas_habilitadas']) && 
        Configuration::updateValue(CXP_PRIORIDAD_SERVICIOS, 2) && 
        Configuration::updateValue(CXP_DIAS_PREPARACION_PEDIDOS, '0') && 
        Configuration::updateValue(CXP_PRODUCT_DEFAULT_WIDTH, '1') && 
        Configuration::updateValue(CXP_PRODUCT_DEFAULT_HEIGHT, '1') && 
        Configuration::updateValue(CXP_PRODUCT_DEFAULT_DEPTH, '1') && 
        Configuration::updateValue(CXP_PRODUCT_DEFAULT_WEIGHT, '1');
}
